## org.apache.catalina.util
Class ResourceSet

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractSet
              java.util.HashSet
                  org.apache.catalina.util.ResourceSet

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.io.Serializable, java.util.Set

public final class ResourceSet
extends java.util.HashSet

Extended implementation of HashSet that includes a `locked` property. This class can be used to safely expose resource path sets to user classes without having to clone them in order to avoid modifications. When first created, a `ResourceMap` is not locked.

Version:
  $Revision: 1.3 $ $Date: 2004/08/26 21:43:16 $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Constructor Summary
`ResourceSet()` Construct a new, empty set with the default initial capacity and load factor.
`ResourceSet(java.util.Collection coll)` Construct a new set with the same contents as the existing collection.
`ResourceSet(int initialCapacity)` Construct a new, empty set with the specified initial capacity and default load factor.
`ResourceSet(int initialCapacity, float loadFactor)` Construct a new, empty set with the specified initial capacity and load factor.

Method Summary
`boolean` `add(java.lang.Object o)` Add the specified element to this set if it is not already present.
`void` `clear()` Remove all of the elements from this set.
`boolean` `isLocked()` Return the locked state of this parameter map.
`boolean` `remove(java.lang.Object o)` Remove the given element from this set if it is present.
`void` `setLocked(boolean locked)` Set the locked state of this parameter map.

Methods inherited from class java.util.HashSet
`clone, contains, isEmpty, iterator, size`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`addAll, containsAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`addAll, containsAll, equals, hashCode, removeAll, retainAll, toArray, toArray`

Constructor Detail

### ResourceSet

    public ResourceSet()

  Construct a new, empty set with the default initial capacity and load factor.

### ResourceSet

    public ResourceSet(int initialCapacity)

  Construct a new, empty set with the specified initial capacity and default load factor.

Parameters:
  `initialCapacity` - The initial capacity of this set

### ResourceSet

    public ResourceSet(int initialCapacity,
                       float loadFactor)

  Construct a new, empty set with the specified initial capacity and load factor.

Parameters:
  `initialCapacity` - The initial capacity of this set
  `loadFactor` - The load factor of this set

### ResourceSet

    public ResourceSet(java.util.Collection coll)

  Construct a new set with the same contents as the existing collection.

Parameters:
  `coll` - The collection whose contents we should copy

Method Detail

### isLocked

    public boolean isLocked()

  Return the locked state of this parameter map.

### setLocked

    public void setLocked(boolean locked)

  Set the locked state of this parameter map.

  Parameters:
    `locked` - The new locked state

### add

    public boolean add(java.lang.Object o)

  Add the specified element to this set if it is not already present. Return `true` if the element was added.

  Parameters:
    `o` - The object to be added
  Throws:
    `java.lang.IllegalStateException` - if this ResourceSet is locked

### clear

    public void clear()

  Remove all of the elements from this set.

  Throws:
    `java.lang.IllegalStateException` - if this ResourceSet is locked

### remove

    public boolean remove(java.lang.Object o)

  Remove the given element from this set if it is present. Return `true` if the element was removed.

  Parameters:
    `o` - The object to be removed
  Throws:
    `java.lang.IllegalStateException` - if this ResourceSet is locked

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.